<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Register</title>
    <link href="../static/styles.css" th:href="@{/styles.css}" rel="stylesheet"/>
</head>
<body>
<div class="container">
    <div class="screen-register">
        <div class="screen__content screen___background___shape smart-garage">
            <form class="login" action="#" th:action="@{/auth/register}" th:object="${register}" method="post">
                <div class="login__field">
                    <i class="login__icon fas fa-user"></i>
                    <input type="text" class="login__input" th:field="*{username}" placeholder="Username">
                    <label style="color: red" class="error" th:errors="*{username}">Username errors</label>
                </div>
                <div class="login__field">
                    <i class="login__icon fas fa-lock"></i>
                    <input type="password" class="login__input" th:field="*{password}" placeholder="Password">
                    <label style="color: red" class="error" th:errors="*{password}">Password errors</label>
                </div>
                <div class="login__field">
                    <i class="login__icon fas fa-lock"></i>
                    <input type="password" class="login__input" th:field="*{passwordConfirm}"
                           placeholder="Confirm Password">
                    <label style="color: red" class="error" th:errors="*{passwordConfirm}">Password confirm errors</label>
                </div>
                <div class="login__field">
                    <i class="login__icon fas fa-lock"></i>
                    <input type="text" class="login__input" th:field="*{email}" placeholder="Email">
                    <label style="color: red" class="error" th:errors="*{email}">Email errors</label>
                </div>
                <div class="login__field">
                    <i class="login__icon fas fa-lock"></i>
                    <input type="text" class="login__input" th:field="*{phoneNumber}" placeholder="Phone number">
                    <label style="color: red" class="error" th:errors="*{phoneNumber}">Phone errors</label>
                </div>
                <div class="login__field">
                    <i class="login__icon fas fa-lock"></i>
                    <input type="text" class="login__input" th:field="*{names}" placeholder="Names">
                    <label style="color: red" class="error" th:errors="*{names}">Names errors</label>
                </div>
                <br>
                <input class="button login__submit" type="submit" value="Register">
            </form>
        </div>
    </div>
</div>
<div class="screen__background">
    <span class="screen___background___shape smart-garage"></span>
</div>
</body>
</html>